Return Liability Ledger
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/tax/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/tax/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/ledgers/tax/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"data": {
"cl_bal": {
"cessbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"cgstbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"desc": "Closing Balance",
"igstbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"sgstbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"tot_rng_bal": 24
},
"fr_dt": "092018",
"gstin": "06AAAAA0000A1Z6",
"to_dt": "122018",
"tr": [
{
"cess": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"cessbal": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"cgst": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"cgstbal": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"desc": "Other than reverse charge",
"dschrg_typ": "",
"dt": "09/03/2017",
"igst": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"igstbal": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"ref_no": "AM051216747183N",
"sgst": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"sgstbal": {
"fee": 2,
"intr": 2,
"oth": 2,
"pen": 2,
"tot": 12,
"tx": 2
},
"tot_rng_bal": 48,
"tot_tr_amt": 48,
"tr_typ": "Dr"
},
{
"cess": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"cessbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"cgst": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"cgstbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"desc": "Other than reverse charge",
"dschrg_typ": "credit",
"dt": "10/03/2017",
"igst": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"igstbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"ref_no": "DI0506170000004",
"sgst": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"sgstbal": {
"fee": 1,
"intr": 1,
"oth": 1,
"pen": 1,
"tot": 6,
"tx": 1
},
"tot_rng_bal": 24,
"tot_tr_amt": 24,
"tr_typ": "Cr"
},
{
"cess": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"cgst": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"desc": "Negative liability adjusted in GSTR3B Other than reverse charge",
"dschrg_typ": "credit",
"dt": "10/03/2017",
"igst": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"ref_no": "DI0506170000004",
"sgst": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"tot_rng_bal": 24,
"tot_tr_amt": 24,
"tr_typ": "Cr"
},
{
"cess": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"cessbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"cgst": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"cgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"desc": "Negative liability adjusted in GSTR3B reverse charge",
"dschrg_typ": "credit",
"dt": "10/03/2017",
"igst": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"igstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"ref_no": "DI0506170000004",
"sgst": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"sgstbal": {
"fee": 0,
"intr": 0,
"oth": 0,
"pen": 0,
"tot": 0,
"tx": 1000
},
"tot_rng_bal": 24,
"tot_tr_amt": 24,
"tr_typ": "Cr"
}
]
},
"status_cd": "1"
},
"timestamp": 1763446641000,
"transaction_id": "66b13aa7-f255-447c-bc68-997f2a54a278"
}Return Liability Ledger
Get return related ledger for the specified date range.
GET
/
gst
/
compliance
/
tax-payer
/
ledgers
/
tax
/
{year}
/
{month}
Return Liability Ledger
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API key for identification
API version
Was this page helpful?
āI